# Google Play Developer API . inapppurchases

## Instance Methods

Checks the purchase and consumption status of an inapp item.

### Method Details

`get(packageName, productId, token)`

    Checks the purchase and consumption status of an inapp item.

    Args:
      packageName: string, The package name of the application the inapp product was sold in (for example, 'com.some.thing'). (required)
      productId: string, The inapp product SKU (for example, 'com.some.thing.inapp1'). (required)
      token: string, The token provided to the user's device when the inapp product was purchased. (required)

    Returns:
      An object of the form:

        { # An InappPurchase resource indicates the status of a user's inapp product purchase.
        "consumptionState": 42, # The consumption state of the inapp product. Possible values are:
            # - Yet to be consumed
            # - Consumed
        "developerPayload": "A String", # A developer-specified string that contains supplemental information about an order.
        "kind": "androidpublisher#inappPurchase", # This kind represents an inappPurchase object in the androidpublisher service.
        "purchaseTime": "A String", # The time the product was purchased, in milliseconds since the epoch (Jan 1, 1970).
        "purchaseState": 42, # The purchase state of the order. Possible values are:
            # - Purchased
            # - Cancelled
      }